# Renderer (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit.Graphic

## Interface Renderer

    public interface Renderer

GUI Renderer Layout Class

### Method Summary

All Methods Instance Methods Abstract Methods
`org.bukkit.inventory.ItemStack` `getIcon()` Get Renderer Icon
`boolean` `isEnabled(org.json.JSONObject object)` Check if this Renderer is enabled for this Object
`void` `open(org.bukkit.entity.Player player, org.json.JSONObject object)` Open the GUI

### Method Detail

#### open

    void open(org.bukkit.entity.Player player,
              org.json.JSONObject object)

Open the GUI

Parameters:
  `player` - Player Opening
  `object` - JSON Representation of an Object

#### getIcon

    org.bukkit.inventory.ItemStack getIcon()

Get Renderer Icon

Returns:
  Icon

#### isEnabled

    boolean isEnabled(org.json.JSONObject object)

Check if this Renderer is enabled for this Object

Parameters:
  `object` - JSON Representation of an Object
Returns:
  Enabled Status